package com.template.services.impl;

import com.template.mapper.DriverStockMapper;
import com.template.model.tongji.Tj;
import com.template.model.tongji.TjFloat;
import com.template.services.DriverStockService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class DriverStockServiceImpl implements DriverStockService {

    @Autowired
    public DriverStockMapper driverStockMapper;

    // 年级统计
    @Override
    public List<Tj> getClassTj(){
        return driverStockMapper.getClassTj();
    }

    // 访客统计
    public List<Tj> getVisitorTj(){
        return driverStockMapper.getVisitorTj();
    }

    // 能耗总量统计
    public List<TjFloat> getEnergyTj(){
        return driverStockMapper.getEnergyTj();
    }

}
